package model;
/**
 * Represents the addition operation
 * Copyright (C) 2004 Dung X. Nguyen. All rights Reserved.
 */
public class AddOp implements IBinOp {
    public final static AddOp Singleton = new AddOp();
    private AddOp() {
    }

    /**
     * Peform n1 + n2, and return the result.
     * @param n1 A floating point number
     * @param n2 A floating point number
     * @return  The sum of n1 and n2
     */
    public double compute(double n1, double n2) {
        return n1 + n2;
    }

    public String toString() {
        return "+";
    }

}


